# Class AnalyticsEvents

The `AnalyticsEvents` static class contains the string definitions of all events that strongly relate to usage analytics.

See Events.

## Index

### Properties

- analyticsEventReady
- changeAnalyticsCustomData
- documentViewEvent

## Properties

### Static analyticsEventReady

analyticsEventReady: string

- Defined in events/AnalyticsEvents.ts :193

Triggered when any event (i.e., `search`, `click`, or `custom`) is about to be logged.

All `analyticsEventReady` event handlers receive an `AnalyticsEventArgs` object as an argument.

### Static changeAnalyticsCustomData

changeAnalyticsCustomData: string

- Defined in events/AnalyticsEvents.ts :206

Triggered whenever an analytics event is about to be logged.

This event allows external code to modify the analytics data before it is sent to the Coveo Usage Analytics REST service.

All `changeAnalyticsCustomData` event handlers receive a `ChangeAnalyticsCustomDataEventArgs` object as an argument.

type

  {string} The string value is `changeAnalyticsCustomData`.

### Static documentViewEvent

documentViewEvent: string

- Defined in events/AnalyticsEvents.ts :185

Triggered when a `click` analytics event is logged (e.g., when the end user clicks a `ResultLink` or `Quickview` to open a query result item).

All `documentViewEvent` event handlers receive an `AnalyticsDocumentViewEventArgs` object as an argument.

type

  {string} The string value is `documentViewEvent`.

### Hierarchy

- AnalyticsEvents